<?php
/*
 *      this file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
?>
<generatorask>
    <p><?php echo __('Cette page liste tous les éléments de la collection sous la forme d\'un tableau
    (<a href="http://jonas.tuxfamily.org/wiki/gcweb/documentation/generateur_de_theme#onlydesc">plus d\'explications</a>)') ?>.</p>

    <p style="color:red"><?php echo __('Attention! Le modèle "menu" doit être créé avant cette page') ?>.</p>

    <ul style="position:relative">
        <li><span class="generator_label"><?php echo __('Image représentative') ?> :</span>  <span class="generator_desc"><champ>img</champ></span></li>
        <li><span class="generator_label"><?php echo __('Dimension maximum') ?> :</span>     <span class="generator_desc"><txt>Ximg=1000</txt> x <txt>Yimg=120</txt> (<?php echo __('ex:') ?> 1000x120).</span></li>
        <li><?php echo __('1ère colonne (généralemment le "titre" de l\'élément') ?>) <span style="color:red"><?php echo __('saisie obligatoire') ?></span><br />
            <?php echo __('Nom de la colonne') ?> : <txt>labelCol1</txt> - <?php echo __('Champ à afficher') ?> : <champ>champCol1</champ></li>
        <li><?php echo __('2ème colonne') ?><br />
            <?php echo __('Nom de la colonne') ?> : <txt>labelCol2</txt> - <?php echo __('Champ à afficher') ?> : <champ>champCol2</champ></li>
        <li><?php echo __('3ème colonne') ?><br />
            <?php echo __('Nom de la colonne') ?> : <txt>labelCol3</txt> - <?php echo __('Champ à afficher') ?> : <champ>champCol3</champ></li>
        <li><?php echo __('4ème colonne (ça commence à faire beaucoup de colonne sur des écrans de faible résolution)') ?>.<br />
            <?php echo __('Nom de la colonne') ?> : <txt>labelCol4</txt> - <?php echo __('Champ à afficher') ?> : <champ>champCol4</champ></li>
        <li><?php echo __('5ème colonne (au-delà, c\'est trop !)') ?>.<br />
            <?php echo __('Nom de la colonne') ?> : <txt>labelCol5</txt> - <?php echo __('Champs à afficher') ?> : <champ>champCol5</champ></li>
    </ul>
</generatorask>

<generatorcode>
<?php
/*
 *      File generated by GCweb generator a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


/*
 * Partie centale de la page qui affiche la liste des éléments de la collection
 *   - Les variables du tableau $info, $collec et $items peuvent être utilisées.
 */
?>
<div id="content">

    <?php include TEMPLATE_MODEL_PATH_GCWEB.'/menu_'.$collec['type'].'.php' ?>

    <div id="onlydesc">

       <div class="element">
            <div class="box">
                <?php include TEMPLATE_MODEL_PATH_GCWEB.'/menuOptionsAff.php'; ?>

                <table>
                    <tr class='title'>
                        <th>
                            <?php echo __('%%labelCol1%%') ?>
                            <a <?php if (isSortKey('%%champCol1%%ASC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%champCol1%%ASC') ?>">↓</a><a <?php if (isSortKey('%%champCol1%%DSC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%champCol1%%DSC') ?>">↑</a>
                        </th>
                        <ifexists labelCol2>
                        <th>
                            <?php echo __('%%labelCol2%%') ?>
                            <a <?php if (isSortKey('%%champCol2%%ASC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%champCol2%%ASC') ?>">↓</a><a <?php if (isSortKey('%%champCol2%%DSC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%champCol2%%DSC') ?>">↑</a>
                        </th>
                        </ifexists>
                        <ifexists labelCol3>
                        <th>
                            <?php echo __('%%labelCol3%%') ?>
                            <a <?php if (isSortKey('%%champCol3%%ASC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%champCol3%%ASC') ?>">↓</a><a <?php if (isSortKey('%%champCol3%%DSC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%champCol3%%DSC') ?>">↑</a>
                        </th>
                        </ifexists>
                        <ifexists labelCol4>
                        <th>
                            <?php echo __('%%labelCol4%%') ?>
                            <a <?php if (isSortKey('%%champCol4%%ASC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%champCol4%%ASC') ?>">↓</a><a <?php if (isSortKey('%%champCol4%%DSC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%champCol4%%DSC') ?>">↑</a>
                        </th>
                        </ifexists>
                        <ifexists labelCol5>
                        <th>
                            <?php echo __('%%labelCol5%%') ?>
                            <a <?php if (isSortKey('%%champCol5%%ASC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%champCol5%%ASC') ?>">↓</a><a <?php if (isSortKey('%%champCol5%%DSC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%champCol5%%DSC') ?>">↑</a>
                        </th>
                        </ifexists>
                    </tr>
                    <?php
                    $paire = False;
                    foreach ($bdd as $item) {
                        if ($paire)     {   $paire=False;   $class='paire';     }
                        else            {   $paire=True;    $class='impaire';   }
                        ?>
                        <tr id="id_<?php aff($item['id']) ?>" class="line_<?php echo $class ?>">
                            <th>
                                <a href="<?php aff_hrefitem($item) ?>" onmouseover="javascript:load_img('<?php echo URL_GCWEB; aff_image($item['%%img%%'],%%Ximg%%,%%Yimg%%) ?>', 'parent_image_<?php aff($item['id'])?>'); show('parent_image_<?php aff($item['id'])?>')" onmouseout="javascript:hide('parent_image_<?php aff($item['id'])?>');">
                                    <?php aff($item['%%champCol1%%']) ?></a>
                                <ifexists img>
                                <span id="parent_image_<?php aff($item['id']) ?>" class="image"></span>
                                </ifexists>
                            </th>
                            <ifexists labelCol2>
                            <td><?php aff_filter('%%champCol2%%==',$item['%%champCol2%%'],'',', ','','onlydesc') ?></td>
                            </ifexists>
                            <ifexists labelCol3>
                            <td><?php aff_filter('%%champCol3%%==',$item['%%champCol3%%'],'',', ','','onlydesc') ?></td>
                            </ifexists>
                            <ifexists labelCol4>
                            <td><?php aff_filter('%%champCol4%%==',$item['%%champCol4%%'],'',', ','','onlydesc') ?></td>
                            </ifexists>
                            <ifexists labelCol5>
                            <td><?php aff_filter('%%champCol5%%==',$item['%%champCol5%%'],'',', ','','onlydesc') ?></td>
                            </ifexists>
                        </tr>
                    <?php }
                    ?>
                </table>
            </div>
        </div>
    </div>
</div>
</generatorcode>
